Package org.eclipse.rdf4j.workbench.base

## Class AbstractRepositoryServlet

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

- All Implemented Interfaces:
    `javax.servlet.Servlet`, `RepositoryServlet`
  Direct Known Subclasses:
    `BaseRepositoryServlet`, `ProxyRepositoryServlet`, `TransformationServlet`

      public abstract class AbstractRepositoryServlet
      extends AbstractServlet
      implements RepositoryServlet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected RepositoryInfo` | `info` |
    `protected RepositoryManager` | `manager` |
    `static String` | `MANAGER_PARAM` |
    `protected Repository` | `repository` |
    `static String` | `REPOSITORY_PARAM` |
    `protected ValueFactory` | `vf` |

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractRepositoryServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `init​(javax.servlet.ServletConfig config)` |
    `void` | `setRepository​(Repository repository)` |
    `void` | `setRepositoryInfo​(RepositoryInfo info)` |
    `void` | `setRepositoryManager​(RepositoryManager manager)` |

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, destroy, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Field Detail

    - #### REPOSITORY_PARAM

          public static final String REPOSITORY_PARAM

      See Also:
        Constant Field Values

    - #### MANAGER_PARAM

          public static final String MANAGER_PARAM

      See Also:
        Constant Field Values

    - #### manager

          protected RepositoryManager manager

    - #### info

          protected RepositoryInfo info

    - #### repository

          protected Repository repository

    - #### vf

          protected ValueFactory vf

  - ### Constructor Detail

    - #### AbstractRepositoryServlet

          public AbstractRepositoryServlet()

  - ### Method Detail

    - #### setRepositoryManager

          public void setRepositoryManager​(RepositoryManager manager)

      Specified by:
        `setRepositoryManager` in interface `RepositoryServlet`

    - #### setRepositoryInfo

          public void setRepositoryInfo​(RepositoryInfo info)

      Specified by:
        `setRepositoryInfo` in interface `RepositoryServlet`

    - #### setRepository

          public void setRepository​(Repository repository)

      Specified by:
        `setRepository` in interface `RepositoryServlet`

    - #### init

          public void init​(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `AbstractServlet`
      Throws:
        `javax.servlet.ServletException`